Lavalite package that provides stair_steps_setting management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/stair_steps_setting`.

    "litecms/stair_steps_setting": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\StairStepsSetting\Providers\StairStepsSettingServiceProvider::class,

And also add it to alias

    'StairStepsSetting'  => Litecms\StairStepsSetting\Facades\StairStepsSetting::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\StairStepsSettingTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\StairStepsSetting\Providers\StairStepsSettingServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\StairStepsSetting\Providers\StairStepsSettingServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\StairStepsSetting\Providers\StairStepsSettingServiceProvider" --tag="view"


## Usage


